<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class FullHistorySyncOnDemandRequest extends \Google\Protobuf\Internal\Message
{
    


    protected $requestMetadata = null;
    


    protected $historySyncConfig = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getRequestMetadata()
    {
        return $this->requestMetadata;
    }

    public function hasRequestMetadata()
    {
        return isset($this->requestMetadata);
    }

    public function clearRequestMetadata()
    {
        unset($this->requestMetadata);
    }

    




    public function setRequestMetadata($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\FullHistorySyncOnDemandRequestMetadata::class);
        $this->requestMetadata = $var;

        return $this;
    }

    



    public function getHistorySyncConfig()
    {
        return $this->historySyncConfig;
    }

    public function hasHistorySyncConfig()
    {
        return isset($this->historySyncConfig);
    }

    public function clearHistorySyncConfig()
    {
        unset($this->historySyncConfig);
    }

    




    public function setHistorySyncConfig($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\DeviceProps\HistorySyncConfig::class);
        $this->historySyncConfig = $var;

        return $this;
    }

}

